CREATE TEMPORARY TABLE tmp_rs_ids (
  grouped_ids TEXT NOT NULL,
  min_id INT NOT NULL,
) TRANSACTIONAL AS
SELECT '|' || GROUP_CONCAT(id SEPARATOR '|') || '|' as ids, MIN(id)
 FROM redeploys_sample
 GROUP BY created_at, token_id, interval
 HAVING count(*) > 1;


DELETE FROM redeploys_sample WHERE
  (SELECT COUNT(*) FROM tmp_rs_ids WHERE LOCATE('|' || id || '|', grouped_ids) > 0) > 0
  AND id NOT IN (SELECT min_id FROM tmp_rs_ids);

DROP TABLE tmp_rs_ids;
