MERGE INTO seats_sample (created_at, interval, token_id, value)
KEY (created_at, interval, token_id)
SELECT s.created_at, s.interval, tat.id, sum(s.value)
  FROM seats_sample s
  JOIN access_token at ON at.id = s.token_id
  JOIN access_group ag ON ag.id = at.group_id AND ag.is_total_token = FALSE
  JOIN access_group tag ON tag.is_total_token = TRUE
  JOIN access_token tat ON tat.group_id = tag.id AND tat.product = at.product
WHERE s.value > 0 AND NOT EXISTS (SELECT 1 FROM seats_sample ts WHERE
  ts.created_at = s.created_at AND ts.interval = s.interval AND ts.token_id = tat.id)
GROUP BY s.created_at, s.interval, tat.id;