CREATE TABLE whitelisted_domain (
  id         IDENTITY     PRIMARY KEY,
  domain     VARCHAR(255) NOT NULL UNIQUE,
  created_at TIMESTAMP,
  created_by VARCHAR(255)
);

CREATE ALIAS ls_json_get_string_array FOR "com.zeroturnaround.ls.h2.JsonHelper.jsonGetStringArray";

INSERT INTO whitelisted_domain(domain)
SELECT DISTINCT entry
FROM TABLE(entry varchar(255) = (
  SELECT ls_json_get_string_array(value)
  FROM setting
  WHERE key = 'EMAIL_ALLOWED_DOMAINS'));

DROP ALIAS IF EXISTS ls_json_get_string_array;

INSERT INTO setting(key, value)
VALUES (
  'EMAIL_DOMAIN_VERIFICATION',
  SELECT EXISTS(
    SELECT 1
    FROM setting
    WHERE key = 'EMAIL_VERIFY' AND value = true)
  AND EXISTS(
    SELECT 1
    FROM setting
    WHERE key = 'EMAIL_VERIFY_DOMAIN' AND value = true)
  AND EXISTS(
    SELECT 1
    FROM whitelisted_domain)
);
